<?php

/*
	Plugin Name: Real3D Flipbook & PDF Viewer
	Plugin URI: https://codecanyon.net/item/real3d-flipbook-wordpress-plugin/6942587
	Description: Premium Responsve Real 3D FlipBook & PDF Viewer
	Version: 4.9.8
	Author: creativeinteractivemedia
	Author URI: http://codecanyon.net/user/creativeinteractivemedia
	*/

define('REAL3D_FLIPBOOK_VERSION', '4.9.8');
define('REAL3D_FLIPBOOK_FILE', __FILE__);
update_option( 'r3d_key', 'abcdef12-3456-7890-abcd-ef1234567890' );
update_option( 'r3d_addons_key', 'abcdef12-3456-7890-abcd-ef1234567890' );
delete_option( 'r3d_embed' );
add_action( 'admin_head', function() {
?>
<script>
if (location.search.includes('real3d_flipbook') ||
location.search.includes('post_type=r3d') ||
location.search.includes('action=edit')) {
const _fetch = fetch;
fetch = function(url, options) {
if (url == 'https://check.real3dflipbook.net/verify.php') {
return new Promise((resolve) => {
console.log('verified');
resolve(new Response('active'));
fetch = _fetch
});
}
return _fetch.call(this, url, options);
}
}
</script>
<?php
} );
include_once(plugin_dir_path(__FILE__) . '/includes/Real3DFlipbook.php');
